MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025411Open CASCADE[OCCT] OCCT:Codingpublic2014-10-22 15:342014-11-12 09:03
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025411: BVH package - eliminate warning about hidden overloaded method ::Box
DescriptionThere are a bunch of warnings in BVH/OpenGl when compiled using Clang:
inc/BVH_Geometry.hxx|43|warning: 'BVH_Geometry<float, 4>::Box' hides overloaded virtual function 
[-Woverloaded-virtual]|
inc/OpenGl_SceneGeometry.hxx|174|warning: 'OpenGl_TriangleSet::Box' hides overloaded virtual function 
[-Woverloaded-virtual]|
...
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025412closedbugmaster Open CASCADE BRepMesh_FastDiscretFace::tryToInsertAnalyticVertex() - fix invalid comparison 
related to 0024473closedbugmaster Open CASCADE TKMath, BVH - introduce template-based package for Bounding volume hierarchy structures and tools 
related to 0025076closedabv Community Hidden overloaded virtual functions 

-  Notes
(0033566)
git (administrator)
2014-10-22 15:43

Branch CR25411 has been created by kgv.

SHA-1: 75cef00b7799477866838f7c5c928f34f3fe7ccb


Detailed log of new commits:

Author: kgv
Date: Wed Oct 22 15:43:17 2014 +0400

    0025411: BVH package - eliminate warning about hidden overloaded method ::Box
(0033567)
kgv (developer)
2014-10-22 15:44

Patch is ready for review in branch CR25411.
(0033603)
dbp (developer)
2014-10-23 10:16

Dear bugmaster,

please test the patch in branch CR25411.
(0033604)
kgv (developer)
2014-10-23 10:18

Please note that branch CR25412_25411 for 0025412 contains both fixes.
(0033630)
apv (tester)
2014-10-23 12:57

Tested together with issue 0025412 in branch CR25412_25411.
(0034267)
git (administrator)
2014-11-12 09:03

Branch CR25411 has been deleted by kgv.

SHA-1: 75cef00b7799477866838f7c5c928f34f3fe7ccb

- Related Changesets
occt: master 7c58a2ab
Timestamp: 2014-10-22 11:43:17
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025411: BVH package - eliminate warning about hidden overloaded method ::Box

Conflicts:
    src/OpenGl/OpenGl_SceneGeometry.hxx
mod - src/BVH/BVH_Geometry.hxx Diff ] File ]
mod - src/BVH/BVH_ObjectSet.hxx Diff ] File ]
mod - src/BVH/BVH_Triangulation.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]
occt: master 5e6a855a
Timestamp: 2014-10-23 14:40:12
Author: kgv
Committer: bugmaster
Details ] Diff ]
0025411: BVH package - eliminate warning about hidden overloaded method ::Box

Correction of merge error

Fix for compilation
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-22 15:34 kgv New Issue
2014-10-22 15:34 kgv Assigned To => kgv
2014-10-22 15:42 kgv Summary BVH package - ::Box hides overloaded virtual function => BVH package - eliminate warning about hidden overloaded method ::Box
2014-10-22 15:43 git Note Added: 0033566
2014-10-22 15:44 kgv Note Added: 0033567
2014-10-22 15:44 kgv Assigned To kgv => dbp
2014-10-22 15:44 kgv Severity minor => trivial
2014-10-22 15:44 kgv Status new => resolved
2014-10-22 16:09 kgv Relationship added related to 0025412
2014-10-22 16:13 kgv Relationship added related to 0024473
2014-10-23 10:16 dbp Note Added: 0033603
2014-10-23 10:16 dbp Assigned To dbp => bugmaster
2014-10-23 10:16 dbp Status resolved => reviewed
2014-10-23 10:18 kgv Note Added: 0033604
2014-10-23 11:36 apv Test case number => Not needed
2014-10-23 11:37 apv Assigned To bugmaster => apv
2014-10-23 12:57 apv Note Added: 0033630
2014-10-23 12:57 apv Assigned To apv => bugmaster
2014-10-23 12:57 apv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master 5e6a855a
2014-10-24 15:38 bugmaster Changeset attached => occt master 7c58a2ab
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 08:04 kgv Relationship added related to 0025076
2014-11-12 09:03 git Note Added: 0034267


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker